SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual

# SphinxClient::setGroupDistinct

(PECL sphinx >= 0.1.0)

SphinxClient::setGroupDistinct — Set attribute name for per-group distinct values count calculations

### 説明

public bool SphinxClient::setGroupDistinct ( string `$attribute` )

Sets attribute name for per-group distinct values count calculations. Only available for grouping queries. For each group, all values of `attribute` will be stored, then the amount of distinct values will be calculated and returned to the client. This feature is similar to COUNT(DISTINCT) clause in SQL.

### パラメータ

`attribute`

  A string containing group-by attribute name.

### 返り値

成功した場合に `TRUE` を、失敗した場合に `FALSE` を返します。

### 参考

- SphinxClient::setSortMode
- SphinxClient::setGroupBy
- SphinxClient::resetGroupBy

SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual